=============
Release notes
=============


The Anaconda Repository 2.33 release is available to all Anaconda Repository
customers as of September 19, 2017.

NOTE: If you have a subscription but do not have a license, contact
`support <http://anaconda.com/support>`_ to receive that license. Otherwise
contact `sales <https://www.anaconda.com/contact-us>`_ to acquire it.

Administrators can update to the new Anaconda Repository release as described
in :doc:`admin-guide/sys-mgmt/update-repository`. 

Please contact your enterprise support representative if you have any questions
or problems regarding the release.

Changelog
=========

SEE ALSO: :doc:`update instructions for current and past versions
<admin-guide/sys-mgmt/update-repository>`.

2.33.10 - 2018-01-19
********************

User facing changes

* Added "noarch" to the platforms mirrored by anaconda-server-sync-conda

2.33.9 - 2018-01-16
*******************

Admin facing changes

* Made fs_storage_root setting mandatory only for local filesystem storage

2.33.8 - 2018-01-15
*******************

User facing changes

* Updated LDAP docs
* Hide actions on a user's repo page when viewing it with an org

Admin facing changes

* Made fs_storage_root setting mandatory
* Block uploading a new license when read-only mode is enabled

Non visible changes

* Fixed exception logging on anaconda-server-sync-conda
* Remove debug code
* Better handling of next url redirect on login link
* Fixed response of repodata endpoint when an invalid If-Valid-Since header is given
* Remove install instructions from label table
* Fix orgs favorites
* Removed suggestions from confirmation dialogs

2.33.7 - 2017-12-11
*******************

User facing changes

* Updated support links
* Added activity feed item for installer upload
* Clarified pip install example command
* Added close icon for installer log popup
* Organizations are able to see their email on the profile page

Admin facing changes

* Removed READ_ONLY config option. Added admin cli tool to change read only state

Non visible changes

* Added index in database for package '_name' attribute
* Several fixes on license creation page
* Added proper message to groups permission set
* Fixed actors for some feed items actions
* Validate that users exists when adding a group member
* E-mail confirmation error message for organizations
* Enable read-only option with repo page
* Fixed profile description not being wrapped

2.33.6 - 2017-11-27
*******************

Added

* Filter for authenticated packages in search/favorites view
* Updated message for input field when copying label
* Updated support links
* Added email notification when group member is added
* Installation info for R and pypi packages using labels
* Support for defining standard labels
* Added support to remove user using anaconda-server-admin
* Show licence url for packages, environments and notebooks
* Validation for empty fields in credit card info for plan upgrade

Fixed

* Updated instructions to create initial user
* Prevent organizations to have admin access for ownables of its original user
* Fixed package view when a release description is not a string
* Panels for ownables not showing in profile page if there are no packages
* Set limit to installers log height to prevent modal going below the footer
* Validation to prevent organization adding itself to one of his groups
* Set invalid license messages on mirroring script to debug instead of warning
* Generated tokens can be viewed without password prompt if kerberos authentication is used
* Fixed link on R package label page
* Remove password reset option if auth_type is not native
* Replaced urls for R packages sources
* Fixed counts in billing overview page
* Added quotes to install instructions to avoid issues with spaces
* Documentation tooltip in conda packages
* Hide transfer modal if there are no accounts to transfer to
* Use dashboard used instead of current user as actor for feed items
* Fixed feed url links
* Redirection for labels on package files list
* Removed duplicated feed item on package transfer
* Fixed installer version validation message
* Fixed query to retrieve non-private packages
* Fixed dead links to deleted projects on the feed
* Expanded LDAP groups docs
* Handling of duplicate package exceptions on API
* Remove word kapsel from email when collaborator is added

2.33.5 - 2017-11-07
*******************

Added

* Added a CLI tool to manage group membership
* Missing tooltips on header and admin section
* Added some missing feed items
* Account search now uses both names and emails
* Filter for authenticated packages

Fixed

* File info modal now works with list attributes that contain dicts
* Validate uploaded environment name
* Improved UX of installer creation form
* Updated feed icon for group collaboration removal
* Show all feed items related to a particular ownable in the History tab for that ownable
* Added main channel to default mirror config
* Generic exceptions during LDAP auth are now caught and logged
* Fixed supervisord script crontab option
* Updated read only rules on projects and installers
* Disable autocomplete suggestions for confirmation input fields
* Added authenticated packages to the billing package limit notice
* Add quotes around conda install help message if label has spaces
* Specify correct package type on tooltip text for label removal
* Updated flask-login-ldap dependency
* Validate name of copied label
* Removed validation of label name on deletion
* Removed duplicate HTTP headers on cached responses
* Do not allow pypi packages in installers
* Updated mirroring docs
* Make installers/projects summary optional
* Replaced some occurrences of word kapsel
* Align upvote icon
* Set package access from packages list
* Only owners can upload installers/environments to its own channel

2.33.4 - 2017-10-24
*******************

Added

* Use environment variable to set initial user's password
* Usernames blacklist
* Show projects and installers summaries on header
* Added tooltips to package page buttons
* Instructions to generate tokens for organizations
* Feed items for projects and installers
* Settings for session timeout
* Supervisor script creates folder for extra config
* Updated EULA
* Set private packages and storage to unlimited individually
* Added progress indicator on installer upload
* Command to mirror only latest versions of conda packages

Fixed

* Fixed creation of private packages from the API
* Feed now uses the package database when it doesn't know the package type
* Hidden installers empty panel on profile page
* Infer access attribute from other attributes when adding package
* Incorrect logging of user downloads
* Show 'Set access' options for organizations in packages list
* Flash error messages when an errors occur on LDAP admin page
* Replaced word kapsel with project on flash messages
* Changed s3 content-disposition of anaconda server installers
* Date ranges for stats in admin page
* Transfer projects with the same name as a deleted project
* Remove package groups when package is archived
* No longer is possible to upload expired licenses
* Hide brand from delete user modal if user is an organization
* Package and environment file modal style issue
* Filter public packages from package search in admin
* Allow access to ownable settings to collaborators with 'write' permissions
* Fixed pypi installer tooltip
* In admin user account, prevent setting lower storage than the used storage
* Delete groups when the org is removed
* Removed add-ons page
* Handling missing package after deleting files
* Do not allow to create tokens expiring today
* Fixed redirections to packages on feed items
* Show installer and project feed items in history tab
* Show all collaborators of an organization's package
* Fix issues with package icons on dashboard
* Sorted tabs in group settings
* Always display collaborators tab as 'Collaborators'

2.33.3 - 2017-10-20
*******************

Added

* Added support for server based sessions

2.33.2 - 2017-10-10
*******************

Fixed

* Exception in admin after updating private packages for a user

2.33.1 - 2017-10-03
*******************

Added

* New feed items for group membership and groups collaborations
* Download stats for files API endpoint
* Option to set amount of private packages for a user from admin
* Improved license creation page
* Added distribution_types to downloads feed
* Set packages access as authenticated from packages list
* Added option --authenticated to anaconda-server-sync-conda
* Added conda-build as dependency
* Relaxed expired tokens restrictions for public endpoints
* Add organizations as collaborators for packages, environments and notebooks
* Send email when adding collaborator to a project/installer

Fixed

* Link to docs in packages view
* Catch all exceptions raised when loading environment file
* Return json responses on api calls when an error is encountered
* Error message when uploading an invalid installer file
* Group permissions moved to the settings
* Fix wrong autocomplete using firefox
* Fix typeahead initial suggestions in installers form
* Updated callout in contact us form
* Hiding package access settings for collaborators
* Fixed refresh when closing user menu on the navbar
* Show info about installers downloads on admin interface
* Fixed downloads stats on admin
* Prevent adding package owner as package collaborator
* Storing package_type when API package upload
* Collaborators can now access a package's history page
* API docs are back up again
* Refactored mirroring tools
* Fixed incorrect links from feed items

2.33.0 - 2017-09-19
*******************

Added

* SUPERUSER_SEARCH to set superuser status in LDAP
* File format validation on installer upload
* Show which users are admin in users list
* Use simillar settings for typeahead package suggestions
* Require user to be logged in to see user typeahead suggestions
* Cleaned output from test suite
* READ_ONLY mode setting and admin option
* Added tooltips to social media icons on footer
* Hide license download buttons from add ons page
* PAM authentication support
* Added reCAPTCHA to contact us form

Fixed

* Exception in group collaborations list for a package after group delete
* Maintain consistency in redirections after item deletion
* Fix group link in project collaborator view
* Flash message after issues with email validation
* Exception on admin downloads list for a user when package/file was had no owner
* Change dashboard user on item transfer
* Prevent adding current user as a collaborator
* Remove current owner from items ownership transfer options
* Fixed UI issues
* Validate name and version of installers only when full form is submitted
* Fixed some redirections to documentation in Anaconda Cloud
* Hiding delete package for collaborators
* Updated links to slideshare and youtube accounts

2.32.9 - 2017-09-15
*******************

Fixed

* Fixed forgot password link

2.32.8 - 2017-09-11
*******************

Fixed

* Temporarily disabled contact page for anaconda cloud

2.32.7 - 2017-09-07
*******************

Fixed

* Exception in token expiration warning code
* Fixed error when displaying a group that no longer exists

2.32.6 - 2017-09-06
*******************

Added

* Separated package groups collaborations in three tabs (packages, notebooks, environments)
* Added icons to all feed items
* Provided more info on feed for uploaded packages/environments/notebooks
* Unicode validation on signup form
* Package api returns builds and adds filter for search platform
* Validation for profile name
* Added option to upload all packages to a group at once
* Added page to see feed for a user
* Added some reserved names for packages
* Semantic versions validation for installers version field
* Warning header when token is about to expire
* Make favorites page public

Fixed

* Allowing anaconda login under lockdown
* Fixed potential exceptions on old cache code
* Changed typeahead environment query to use dashboard user
* Fixed issues with the upload of previously deleted installers
* Fixed Cache-Control headers on old repodata caching code
* Display all packages by default, not just only conda packages
* Show correct label for Groups & Collaborators depending on type of user
* Changed owner of uploaded installer to current dashboard user
* Remove groups permissions from all items after group delete
* Color schemes of some flashing messages
* Prevent project/installer transfer if recipient already has one with the same name
* Empty environment field from installer created from environment if the environment was deleted
* Fixed email validation when other user is logged in
* Maintain consistency on headers from dashboard
* Fixed token generalizations
* Exception on admin downloads list for a user when package/file was missing
* Fixed "View Docs" URL
* Use dashboard user in redirects after file delete

2.32.5 - 2017-08-29
*******************

Fixed

* Removed Continuum references

2.32.4 - 2017-08-28
*******************

Fixed

* Fixed old continuum links

2.32.3 - 2017-08-24
*******************

Fixed

* Navbar logo responsiveness issues

2.32.2 - 2017-08-24
*******************

Fixed

* Changed navbar buttons order to the new design schema

2.32.1 - 2017-08-24
*******************

Fixed

* Bigger logo on the navbar
* Fixed home page screenshot of the site

2.32.0 - 2017-08-22
*******************

Added

* New top bar button structure
* Added option 'any' to display all kind of packages in repo view
* Support for custom user avatar methods
* Updated `cas-mirror` docs
* Create installers uploading an environment file
* Parcel and management packs can be created from installers previously created
* SSL protocol version can now be customized
* Fresh design
* Stats API endpoint
* Updated all flash messages colors

Fixed

* Ownership of uploaded environments
* Doc links on the feed
* Styling of installer widget
* Transferred projects now appear in dashboard
* Environment validation
* Environment upload labels
* Show correct package type when transferring package/environment/notebook
* Increased panel sizes in profile and dashboard
* Limited items to display in panels
* Fixed collaborators view
* Potential cache related exception
* Made management packs template order deterministic
* Unsafe redirections
* Removed packages from groups when transferred
* Closed XSS vulnerabilities
* Contact us emails are sent from contact@anaconda.org with a reply-to header
* Fixed typeahead input field to add package collaborators
* Archive items when all their files are deleted
* Return NotFound on item details page when they don't contain any files
* Fixed stats report admin view
* Replaced occurrences of the word "package" for a more appropriate name depending on the package type

2.31.6 - 2017-08-08
*******************

Added

* Email notification when added as a collaborator
* Labels regex now distinguishes uppercase characters
* Added site export tool
* Upload option for installers
* Added button to review the build log next to each installer file
* Version specific landing page for packages
* Added group info to site export tool
* Upload option for environments

Fixed

* Layout issues on dashboard and repo pages
* Remove user from groups when the account is removed
* Remove user as a collaborator for installers/packages/projects/notebooks/environments when is deleted
* Show only projects with files in projects list
* CSV export of users
* Typeahead for multi-type packages
* Added user validation to remove collaborator form
* Metadata display on package API
* Cache key generation and diskcache size limit parameter
* Empty packages will no longer appear in search results

2.31.4 - 2017-08-03
*******************

Fixed

* Fixed repodata caching

2.31.3 - 2017-07-27
*******************

Fixed
-----

* Fixed label validation


2.31.2 - 2017-07-24
*******************

Added
-----

* Tool to check a file's checksum

Fixed
-----

* Show conda packages install instructions only for available labels
* Solved exception raise by anaconda-server-admin clean-storage
* Hide empty packages/environments/notebooks from dashboard/profile page
* Solved exception raised creating an installer from an empty environment
* Fixed style issues with dashboard/profile page.
* Added help info in profile page
* Show correct icons in objects page
* Removed extra space from groups breadcrumb
* Fixed license not updating
* Hide License expired message overlay during session when alert is closed
* Fixed email sending on forgot password and forgot username

2.31.1 - 2017-07-13
*******************

Added
-----

* Docs for LDAP timeout
* –clean-platforms option for anaconda-server-sync-conda
* Docs for backup and restore procedures based on the default installation
* Added setting for custom installers location
* Updated FontAwesome to 4.7.0

Fixed
-----

* Displays the latest release data on the package page
* Fixed panel size in profile page and added scrollbars on overflow
* Show latest version available for each platform in conda packages
* Custom installers pre-configured to point to repo instance
* Exception when trying to display security log
* Display the correct username on the navigation bar
* Remove unused logging configuration
* Python tags on environment.yaml now parsed on installer creation from environment
* Omitting non-conda dependencies on installer creation from environment
* Updated documentation links
* Added missing R packages icons
* Unicode issue on Contact Us form for anaconda cloud
* Fixed CSS issue on Internet Explorer
* Solved issues with labels containing slashes and spaces
* Updated link to conda documentation
* Force pypi mirroring for a new mirror user
* Fixed validation when setting packages to private in bulk
* Fixed some UI issues with long names
* Fixed org creation on mirroring tools
* Labels link takes you to all type package listing
* Package type filter set to 'all' will not show notebooks/environments anymore
* Confirmation of package delete with username input works also using uppercase
* Correct order of search filters
* Fixed typeahead endpoints
* Fixed duplicated channels on custom installers
* Allowing slashes on token name delete action
* Disabled LDAP referrals by default

2.31.0 - 2017-06-28
*******************

Added
-----

* Added USER_REGEX defaults to reference docs
* Added period (.) as a valid character for the default USER_REGEX
* Added diskcache based repodata caching
* Added license url validation for packages
* Option to set storage keyname to full path
* Show error message when attempting to add duplicated collaborators

Fixed
-----

* CSS fixes on top navbar
* CSS fixes on group names
* Added filter for valid packages in installer creation
* Added support for deleted Strip accounts
* Stops adding/updating labels if the validation fails
* Tokens modal is no longer going below the bottom of the page
* Displaying credit card errors correctly
* Handling LDAP login error
* Fixed highlight of proyect settings tab
* Updated tqdm version to stop exception on mirror download
* Environments summary is no longer duplicated
* Display correct package summary after update
* Customized success message on upvote depending on package type
* Updated links to docs for labels
* Updated verbose exception
* Fixed notebook revisions links
* Optimized query to get latest package versions
* Updated all references to docs with correct links for cloud
* Removed top-level domain validation from profile URL
* Improved speed of show_channel endpoint
* Added validation to prevent duplicated packages on installers
* Changed default label filter for packages to 'all'
* Removed distinction of user menu based on username
* CSS issues with long names
* Fixed long project names overlapping

2.30.3 - 2017-06-06
*******************

Added
-----

* Added feeds for kapsel creation/removal/new revision

Fixed
-----

* Added some more plural forms for flash messages
* Show project description from latest revision instead of project summary
* Fixed window installer configuration files
* Moved project history to settings
* Projects and installers on the same row
* Fixed installer creation under LOCK_DOWN
* Fixed settings tab highlight on installer admin page
* Fixed handling of empty page param on search page
* Fixed max-age overflow on authentications endpoint
* Fixed project creation time
* Fixed installer form when python package has no releases
* Fixed subscriptions plans link
* Fixed unicode issues on contact form
* Merged LDAP login logic
* CSS clean up for groups with long names



## 2.30.2 - 2017-05-24
**********************

* Fixed authentications endpoint

## 2.30.1 - 2017-05-24
**********************

Added

* Warning before deleting a package and all of its messages
* Tool to check orphan files and packages
* Added option to lock down all public pages
* Added link to contact us for custom plans.

Fixed

* Display error message when config file is not found
* Fixes resend confirmation email
* Retrying on 502 error while mirroring conda
* Replace non-ascii characters from filename when downloading a file
* Added password validation to password reset form
* Handling 404 on s3 key_exists
* Removed files and packages will appear on package history
* Using user's name and email on contact emails
* Changed Resend Email label to Password Reset in admin page
* Added placeholder to collaborators form
* Added singular form messages in flash notifications
* Fixed popup label for pkg/nbk/env settings
* Fixed scrollbar blocking content in installers documentation
* Added searchbox on navigation header for non-authenticated users
* Added more database indexes for better query performance
* Removed admin monitor page
* Increased request timeout default to 120 seconds
* Updated the mirror configuration examples
* Fixed URL for pricing info
* Fixed token creation API
* Removed outdated mirror documentation
* Added migration to normalize files data
* Added brand as key in api endpoint
* Declined credit card info is no longer stored
* Improved UI for group members page

## 2.30.0 - 2017-05-08
**********************

Added

* Added EULA to the installer
* Contact Us form now sends emails to support@anaconda.org
* Create organization instead of user on mirroring tools

Fixed

* Fixed anaconda-server-sync-conda settings message
* Secured web helpers views
* Removed unused test endpoints
* Fixed insecure groups endpoint
* Fixed filename too long exception on type filter for installers
* Server side encryption on S3 storage
* Fixed documentation link in /settings/access API token page
* Year in footer matches current year
* Fixed password restrictions checks
* Replaced binstar-* message for anaconda-server-* on mirroring script
* Added missing instruction to Project upload instructions
* Fixed the way we load the license data from the database
* Added validation for reserved usernames
* Fixed package set-access on firefox
* Fixed encoding error on package information page
* Changed error message on installer creation form


## 2.29.1 - 2017-04-19
**********************

Fixed

* Fixed access to LDAP views
* Removed unused remove_user view
* Add support for expired marketo access token
* Fixed exception on installer creation

## 2.29.0 - 2017-04-19
**********************

Added

* Visibility on Projects feature
* Sortable account list by package count
* Change plan button for organizations
* Add lead source to marketo requests

Fixed

* Fixed installers downloads
* Set S3 addressing style to "virtual"
* Fixed S3 ETag processing
* Fixed handling of missing arch attribute on search
* Typeahead endpoint access limits
* Changed supervisord runtime files location
* Allowing numeric named installers
* Allows installer creation with environment with url on the channel list
* Fixed typeahead on installer creation form
* Remove unreachable code
* Fixed flake8 findings
* Fixed installer collaborators form
* Fixed remove unlabeled files
* Fixed repo access admin for organizations

## 2.28.1 - 2017-04-03
**********************

Added

* Installers can now be created from uploaded environments

Fixed

* Fixed outdated version badges
* Add "jessie" and "sles12" parcel suffixes
* Only allows alphanumeric characters on installers name
* Fix group installers page
* Fix edition of existing installers

2.28 - 2017-03-22
*****************

Added

* Add UI to delete and set access of packages on the repo page
* Add UI to delete files in the files section of the repo page
* Add UI to set and unset superuser and staff status on admin page
* Staff users can now access licensing
* Pagination on history for the account admin page

Fixed

* Config set using `anaconda-server-config`
* Username on page titles
* Fixed anaconda-server-sync-conda issue with local repos
* CSV export on emails with special characters
* Package label filtering
* Signup password validation error message
* Exception requesting non existing file url
* Fixed email confirmation for organizations
* Text overflow when username is too long
* Remove all user packages in a single action to avoid filling the queue
* Checking user existence on reset password
* Installer URL shows zip extension

2.27.5 - 2017-03-14
*******************

Fixed

* Added boto dependency back

2.27.4 - 2017-03-03
*******************

Added

* Support for S3 regions that only use V4 signatures
* Support for S3 server-side encryption
* Support for custom PyPI repo sync
* New releases overrides package's description, summary, license and icon
* Update mongodb to 3.4

Fixed

* API endpoint `DELETE /dist/{owner_login}/{package_name}/{version}/-/{_id}`
  should delete the file with the associated ID
* Email validation on profile page
* Downloading files with spaces or special characters should result in the
  correct filename
* Some documentation URLs showed up without styling
* Fixed text overlap in admin deployment page
* `/downloads` installers should generate configuration files correctly
* "Not Found" errors are more consistent and clear
* Package search timeout
* Displaying validation in the popup on account's admin page

2.27.3 - 2017-03-02
*******************

Fixed

* Add support for string license attribute

2.27.2 - 2017-02-27
*******************

Fixed

* Remove pyc from ambari mpack templates folder

2.27.1 - 2017-02-23
*******************

Added

* Limit to the cache

Fixed

* Added missing ambari mpack templates folder

2.27.0 - 2017-02-15
*******************

Added

* Support for generating custom Hortonworks/Ambari management packs
* License and license url to packages api
* Update email confirmation code to more secure and flexible hash
* Support for multiple users with same email (if option enabled)
* Admin support to remove an account
* Admin support to change storage size or change plan to free unlimited
* Package versions on installers and parcels are now optional
* Specify a configuration file with the environment variable ANACONDA_SERVER_CONFIG

Fixed

* Noarch repodata should not include files that are missing platform and arch
* Fix attribute errors kapsel unit tests
* Mirror configuration `python_versions` should not require quotes
* Add link to package on Favorites page breadcrumbs.
* Improve support for POWER and ARM architectures.
* Provide a useful error page when MongoDB is unreachable.
* Fix notebook and env with same name
* Suppress form errors when adding or removing package/channels
* anaconda-server-config will work on the config file you actually have
* Remove temporary redirects on user settings and org groups settings
* Disable empty as a valid label/channel name
* Fix organization name on group membership view
* Disable Reset Password if it is the only button

2.26.5 - 2017-01-30
*******************

* Remove experimental feature from display.

2.26.4 - 2017-01-30
*******************

Fixed

* Some files would not be cleaned up correctly when the corresponding user was deleted in the interface. Added a migration to clean up any existing unused files.
* Add `anaconda-server-admin clean-storage` command to clean up unused files.
* Fix csv column order on package info at the admin page.
* Render URLs in the package summary as links.
* Display correct breadcrumb for a selected environment.
* Sort labels on package page alphabetically.
* Pluralize storage information correctly.

2.26.3 - 2017-01-10
*******************

* Added AnacondaCON promo to Anaconda Cloud

2.26.2 - 2017-01-06
*******************

Added

* Conda repodata is now cached more frequently.
* Constructor installer creation will now be terminated if it takes longer than 60 seconds.

Fixed

* An error that occurred when PyPI packages that were deleted were re-uploaded.

Anaconda repository 2.26.0 - 2016-12-19
***************************************

* Anaconda Repository has a new mirroring tool with reproducible results, and improved support for delta mirroring.

Anaconda repository 2.25.0 - 2016-11-30
***************************************

* Anaconda Repository is now distributed as a self-contained installer.

Anaconda repository 2.24.4 - 2016-11-17
***************************************

* FIX: issues with async workers PR #3120, #3123
* FIX: Issue with sending forgotten username. PR #3120
* LOGGING: log everything to stdout. supervisord script will now log to file instead of syslog PR #3106
* KAPSEL: Remove kapsel uploader PR #3107

Anaconda repository 2.24.0 - 2016-11-09
***************************************

* Documentation updates
* Fix task queue (removed mtq library)
* Improve performance of PyPI simple index page
* Move licensing code to anaconda_platform.component.licensing
* Add hotjar (cloud)
* Move username regex to check into settings
* Parcels: Add anaconda and python 2.7 as default packages
* Added AIC (Anaconda Installer Configuration) installers
* Remove Kapsel Execution

Anaconda repository 2.23.1 - 2016-10-25
***************************************

Added

* Gevent in as the server worker_class
* Remove check of key existence in s3 for anaconda.org

Anaconda repository 2.22.0 - 2016-10-18
***************************************

Fixed

* API: added correct handling when user is deleted
* DOWNLOADS: allow unlimited storage of download stats
* UI: terms and conditions link was incorrectly escaped
* NOTEBOOKS: fix sorting of notebook versions
* REPO: copied package files would sometimes return 404
* UI: added default sorting to more tables
* REPO: usability and functionality fixes for CDH parcel generation

Anaconda repository 2.21.0 - 2016-09-29
***************************************

Added

* REPO: users can :doc:`create custom CDH parcels through Anaconda
  Repository <user-guide/tasks/work-with-cloudera-parcels>`
* UI: standardize sorting on tables
* UI: the software version is included in the footer of Anaconda Repository

Fixed

* NOTEBOOKS: added iframe sandboxing to notebooks
* NOTEBOOKS: fixed rendering of thumbnails uploaded by `nb_anacondacloud`
* REPO: copied package files were sometimes incorrectly garbage collected

Changed

* UI: The pages on the `conda.anaconda.org` and `pypi.anaconda.org` domains
  redirect to `anaconda.org`.

Removed

* BUILD: The deprecated build feature has been removed from Anaconda Repository.


Anaconda repository 2.20.4 - 2016-09-26
***************************************

Fixed

* NOTEBOOKS: links in the notebook will open in the browser window directly,
  instead of inside of a frame.

Anaconda repository 2.20.3 - 2016-09-20
***************************************

Fixed

* Allow numeric usernames

Anaconda repository 2.20.2 - 2016-08-18
***************************************

Added

* REPO: package types will correctly update from added files (#2492)
* UI: cluster pages now list apps associated with that cluster
* Notebooks larger than 25mb will not be rendered (#2336)
* API: the endpoint ``/user/{account}/downloads/{start}--{end}`` now provides
  download activity aggregated by package for an account.

Fixed

* Improve the performance of the security feed (#2335)

Changed

* UI: the reminder to use beta will be hidden for 24 hours when a user clicks
  the "close" button.
* BUILD: remove welcome to build message for build deprecation notice.
* UI: rename project to kapsel everywhere (except imports) (#2563)
* Collaborators page updated to new groups API (#2512)

Anaconda repository 2.19.5 - 2016-08-04
***************************************

Fixed

* Fixed generation of URLs to user notebook content server over https

Anaconda repository 2.19.4 - 2016-07-21
***************************************

Fixed

* DB: improved group migration to handle more corner cases

Anaconda repository 2.19.2 - 2016-07-07
***************************************

Fixed

* REPO: package types will correctly update from added files (#2492)

Anaconda repository 2.19.1 - 2016-07-07
***************************************

Added

* Basic Cluster Pages
* Conda Caching - Conda endpoints now use Last-Modified/if-modified-since headers

Anaconda repository 2.18.0 - 2016-06-01
***************************************

Added

* API: add an endpoint ``/user/{account}/downloads/{start}--{end}`` that provides an aggregated summary of download activity for an account.
* BUILD: automatically scroll to the bottom of log when new lines are appended
* REPO: improve support for R packages
* WEB: license warning message includes a link to the license configuration page

Fixed

* Users do not need to be logged into GitHub to trigger builds
* BUILD: remote address for workers will be detected correctly when running behind a proxy (#2036)
* API: LDAP users logging in for the first time via `anaconda login` are created correctly.
* PIP v8.1.2 fixed package name lookup

Anaconda repository 2.17.0 - 2016-04-18
***************************************

Added

* Queue administration page that displays build worker details and history (#1847)
* An additional configuration file can be specified with the environment variable ``ANACONDA_SERVER_CONFIG``
  or the command line argument ``--config-file``
* Configuration files in the directory ``$PREFIX/etc/anaconda-server/`` will now be automatically loaded
* Better logging for login logic
* Failed logins are now recorded in the security log
* ``docs.anaconda.org`` content is now bundled with Anaconda Repository
* New privacy policy
* Project's API
* Show notebooks with nbpresent metadata as presentations (#1583)
* Can now view different versions of notebooks (#1764)
* Complete list of current settings on /admin/deployment (#1928)
* Decorator to validate params in a requests. (#1970)
* ``api.anaconda.org`` returns ``conda_url``, ``pypi_url`` and ``main_url`` (#1984)
* ``keyname`` is displayed for superusers on the file details modal, allowing an
  administrator to locate a file on disk (#1985)

Fixed

* Editing package description should not add extra whitespace (#1710)
* Starred packages owned by other users will appear on the dashboard (#1706)
* Notebook output that is too wide will display a scroll-bar (#1581)
* Cleaned up styling on CI settings page (#1713)
* Security log details modal should appear for non-administrator users
* More graceful handling of notebook rendering failure (#1548)
* GitHub OAuth flow in the user settings page (#1931)
* Changed conda install instructions to use short channel name
* Group API exceptions when viewing group members (#1959)
* Fixed error in sample enterprise config file (#1968)

Changed

* Renamed "upvotes" to "favorites" (#1707)
* adjusted helptext for conda install from specific user channel (#1914)

Anaconda repository 2.16.6 - 2016-03-28
***************************************

* Clean up build workers that have been idle too long (#1749)
* Add SMTP support for sending email (#1747)
* Add remote address of build workers to queue status (#1743)
* Toggleable sections in build log output
* Render progress bars in build log correctly
* Fix organization page redirects
* Improve search performance for "type:pypi" query (#1808)
* Fix duplicated build item when resubmitting via CLI (#1805)
* Fix sorting of file sizes (#1783)
* Fix small issue in package files page

Anaconda repository 2.16.0 - 2016-02-25
***************************************

* Kerberos Authentication Support
* Several small fixes
* Performance improvements

Anaconda repository 2.15.5 - 2016-02-06
***************************************

* Minor fixes and improvements
* Made build a separate component from the server
* Added license code
* Improved UI
* Better support for labels
* Improved performance on user profiles / security pages

Anaconda repository 2.14.1 - 2016-01-20
***************************************

* Re-enabled the anaconda copy command
* Release renaming "channels" to "labels"
* Implemented new UI enhancements that included a new user dashboard
* Performed additional bug fixes

Anaconda repository 2.13.1 - 2016-01-12
***************************************

* Implemented "My upvotes" page
* Added UI improvements to notebooks
* Implemented error logging fixes
* Performed additional bug fixes

Anaconda repository 2.12.3 - 2015-12-22
***************************************

* Implemented UI Improvements to align with Anaconda branding, making A-Cloud easier to use
* Added confirmation after sending a message to support from the "contact us" page
* Removed left nav on dashboard
* Moved channel manager to the apps dropdown
* Made it easier for Academic users to access features by adding extended subdomain access for institutions
* Created a landing page for bug reporting to help A-Cloud users better self-select which repo for issue logging

Anaconda repository 2.11 - 2015-12-09
*************************************

* Implemented UI Improvements
* Fixed minor issues
* Improved user profile
* Improved password validation
* Updated plans and pricing pages

Anaconda repository 2.10 - 2015-11-13
*************************************

* Implemented UI Improvements

Anaconda repository 2.9 - 2015-09-28
************************************

* Implemented Upgrade/Setup script
* Offered free MKL Optimizations and free IOPro Addons for academic use
* Added command line scripts for user name changes
* Allowed port number configuration
* The Anaconda Server will subsequently be referred to as Anaconda repository

Anaconda Server 2.8 - 2015-08-27
********************************

* Added support for Jupyter 4.0
* Made passwords configurable
* Supplied better error messages

Anaconda Server 2.7 - 2015-07-28
********************************

* Implemented a new environment page
* Offered new channel features

Anaconda Server 2.6 - 2015-07-23
********************************

* Added support for `conda noarch packages <noarch-packages.html>`_.
* Exposed additional distribution attributes via the API
* Changed Anaconda Server's underlying webserver from tornado to gunicorn

Anaconda Server 2.3 - 2015-04-24
********************************

* `Increased specificity <mirrors-sync-configuration.html>`_ when mirroring the Anaconda repository including more robust license-blacklisting capacity and new python version-filtering capacity
* Implemented the ability to `upload iPython notebooks <notebooks.html>`_ to your Anaconda Server user account

Anaconda Server 2.2 - 2015-04-17
********************************

* Improved the user interface for channel-based interactions, which allowed users to manage multiple package and channel interactions from a single dashboard
* Performed additional unit testing
* Due to a lack of backwards compatibility, this release locks the following two versions of the dependency packages:
	* flask-wtf=0.8.4
	* werkzeug=0.9.6
